Bug 876411

Summary: Review Request: perl-Language-Expr - Simple mini-language for use in expression
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: Package ReviewAssignee: T.C. Hollingsworth <tchollingsworth>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: mario.blaettermann, notting, package-review, tchollingsworth
Target Milestone: ---Flags: tchollingsworth: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-24 16:59:36 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 851734, 876406, 878680, 890819    
Bug Blocks: 890833    

Description Miro Hrončok 2012-11-13 22:08:59 EST
Spec URL: https://github.com/hroncok/SPECS/raw/master/perl-Language-Expr.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-Language-Expr-0.19-1.fc17.src.rpm

Description:
Language::Expr defines a simple, Perl-like expression mini-language. It
supports mathematical and string operators, arrays, hashes, variables, and
functions. See Language::Expr::Manual::Syntax for description of the
language syntax.

Fedora Account System Username: churchyard
Comment 1 Miro Hrončok 2012-11-20 17:42:18 EST
Spec URL: https://github.com/hroncok/SPECS/raw/master/perl-Language-Expr.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-Language-Expr-0.19-3.fc17.src.rpm

- Removed some BRs
- Removed perl autofilter
Comment 2 T.C. Hollingsworth 2013-01-13 18:55:16 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

Resolution:  APPROVED

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/fedora/patches/876411-perl-Language-
     Expr/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Reguires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (Language-Expr-0.19.tar.gz)
     This is okay.
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: perl-Language-Expr-0.19-3.fc19.src.rpm
          perl-Language-Expr-0.19-3.fc19.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-Language-Expr
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-Language-Expr-0.19-3.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    perl >= 1:5.010
    perl(:MODULE_COMPAT_5.16.2)
    perl(Exporter)
    perl(JSON)
    perl(Language::Expr::Interpreter::Default)
    perl(Language::Expr::Parser)
    perl(List::MoreUtils)
    perl(List::Util)
    perl(Moo)
    perl(Moo::Role)
    perl(Regexp::Grammars)
    perl(UUID::Tiny)
    perl(boolean)
    perl(strict)
    perl(warnings)



Provides
--------
perl-Language-Expr-0.19-3.fc19.noarch.rpm:
    
    perl(Language::Expr) = 0.19
    perl(Language::Expr::Compiler::Base) = 0.19
    perl(Language::Expr::Compiler::JS) = 0.19
    perl(Language::Expr::Compiler::PHP) = 0.19
    perl(Language::Expr::Compiler::Perl) = 0.19
    perl(Language::Expr::Evaluator) = 0.19
    perl(Language::Expr::EvaluatorRole) = 0.19
    perl(Language::Expr::Interpreter::Default) = 0.19
    perl(Language::Expr::Interpreter::Dummy) = 0.19
    perl(Language::Expr::Interpreter::VarEnumer) = 0.19
    perl(Language::Expr::Parser) = 0.19
    perl-Language-Expr = 0.19-3.fc19



MD5-sum check
-------------
http://www.cpan.org/authors/id/S/SH/SHARYANTO/Language-Expr-0.19.tar.gz :
  CHECKSUM(SHA256) this package     : cdc7411f0f5388f12b76f905a27ed5f95a77bea1ee11c216c86b3bd442f64350
  CHECKSUM(SHA256) upstream package : cdc7411f0f5388f12b76f905a27ed5f95a77bea1ee11c216c86b3bd442f64350


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b876411
Comment 3 Miro Hrončok 2013-01-13 19:25:33 EST
New Package SCM Request
=======================
Package Name: perl-Language-Expr
Short Description: Simple mini-language for use in expression
Owners: churchyard
Branches: f17 f18
InitialCC: perl-sig
Comment 4 Jon Ciesla 2013-01-14 06:52:04 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-01-14 12:46:22 EST
perl-Language-Expr-0.19-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Language-Expr-0.19-3.fc18
Comment 6 Fedora Update System 2013-01-14 12:47:10 EST
perl-Language-Expr-0.19-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Language-Expr-0.19-3.fc17
Comment 7 Fedora Update System 2013-01-16 14:40:51 EST
perl-Language-Expr-0.19-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 8 Fedora Update System 2013-01-24 16:59:38 EST
perl-Language-Expr-0.19-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 9 Fedora Update System 2013-01-24 17:31:05 EST
perl-Language-Expr-0.19-3.fc17 has been pushed to the Fedora 17 stable repository.